Bug 120167 - IA64 is an hour behind at EST-EDT change
IA64 is an hour behind at EST-EDT change
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ntp (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-06 12:00 EDT by Ted Benjamin
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-16 03:58:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ted Benjamin 2004-04-06 12:00:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
The time on my workstation is an hour behind.  I did not notice this
being the case last week.   DST started Sunday at 3 AM local time.  I
have run "dateconfig" both from a terminal emulation command line and
from the Main Menu.  I configured the system to use time.nist.gov as
my ntp server in case I had set the time incorrectly.  The time zone
is set to America/Detroit.  This was an hour ago.  The time is still
an hour behind.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Main Menu > Programs > System > Date/Time Properties
2."Date & Time" tab > "Enable Network Time Protocol > time.nist.gov 
3."Time Zone" tab > America/Detroit 

Actual Results:  The time is an hour behind.  A "date" command from a
command line is an hour behind, but it shows the time as "EDT".

Expected Results:  It should show the correct time as EDT.

Additional info:

I have a 2-processor Itanium (IA-64).
The actual version of RedHat is aw-2.1AW-9.
I am in western Ohio, so we are on the normal EST/EDT cycle.
Comment 1 Brent Fox 2004-04-14 17:28:49 EDT
Sometimes it takes a while to sync with the NTP server.  Is the time
still an hour behind?
Comment 2 Ted Benjamin 2004-04-15 08:46:33 EDT
Yes.  At 8:48:35 EDT (by my watch, which I set to WWV last Saturday,
so it should be within 5 seconds or so), the response to the "date"
command was "Thu Apr 15 07:49:47 EDT 2004".  Given the error in the
time, it makes me wonder if it even is hitting the NTP server.
Comment 3 Brent Fox 2004-05-24 16:10:55 EDT
I guess it could be possible that the ntp port could be getting
blocked by a firewall.  Other than that, I can't explain why this
would happen.
Comment 4 Ted Benjamin 2004-06-01 08:50:14 EDT
Since we passed the Daylight Saving Time threshhold, I set the date as
root.  Based on a cursory comparision with my watch (again, set to
WWV), it seems to be over a minute fast now.  I think it's not hitting
the NTP server, and that may be the answer (which probably makes the
problem not of RedHat).  We are definitely behind a firewall, so who
Comment 5 Brent Fox 2004-06-18 10:53:15 EDT
This is sounding like a deeper problem than dateconfig.  I'm going to
change the component of the bug report to ntp.
Comment 6 Harald Hoyer 2004-06-18 11:01:42 EDT
please run:
# ntpdc 
> pe

and report the output
Comment 7 Miroslav Lichvar 2006-02-16 03:58:32 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.